{% extends "bases/account_management.html" %}

{% load i18n %}
{% load bootstrap4 %}

{% block page_subtitle %}{% translate "E-mail" %}{% endblock %}
{% block card_title %}{% translate "E-mail" %}{% endblock %}

{% block breadcrumbs %}
{{ block.super }}
  <li class="breadcrumb-item">{% translate "E-mail" %}</li>
{% endblock %}

{% block account_content %}
<div class="container py-3">
{% if user.emailaddress_set.all %}
<p>{% translate 'The following e-mail addresses are associated with your account:' %}</p>

<form action="{% url 'account_email' %}" class="email_list uniForm" method="post">
{% csrf_token %}

<table class="table">
  <thead>
    <tr>
      <th>
    {% translate 'E-mail' %}
      </th>
      <th>
    {% translate 'Status' %}
      </th>
    </tr>
  </thead>
  <tbody>
    {% for emailaddress in user.emailaddress_set.all %}
    <tr>
      <td>
        <label class="radio" for="email_radio_{{forloop.counter}}" class="{% if emailaddress.primary %}primary_email{%endif%}">
      <input id="email_radio_{{forloop.counter}}" type="radio" name="email" {% if emailaddress.primary %}checked="checked"{%endif %} value="{{emailaddress.email}}"/>
      {{ emailaddress.email }}
        </label>
      </td>
      <td>
        {% if emailaddress.verified %}
        <span class="label label-info">{% translate "Verified" %}</span>
        {% else %}
        <span class="label label-warning">{% translate "Unverified" %}</span>
        {% endif %}
        {% if emailaddress.primary %}<span class="label label-success">{% translate "Primary" %}</span>{% endif %}
      </td>
    </tr>
    {% endfor %}
  </tbody>
</table>

<div class="form-actions">
      <button class="btn btn-success" type="submit" name="action_primary" >{% translate 'Make Primary' %}</button>
      <button class="btn" type="submit" name="action_send" >{% translate 'Re-send Verification' %}</button>
      <button class="btn btn-danger" type="submit" name="action_remove" >{% translate 'Remove' %}</button>
</div>

</form>

{% else %}
<p><strong>{% translate 'Warning:'%}</strong> {% translate "You currently do not have any e-mail address set up. You should really add an e-mail address so you can receive notifications, reset your password, etc." %}</p>

{% endif %}
</div>
<div class="container py-3">
    <h2>{% translate "Add E-mail Address" %}</h2>

    <form method="post" action="">
        {% csrf_token %}
        {% bootstrap_form add_email_form %}
        <div class="form-actions">
          <button class="btn btn-primary" name="action_add" type="submit">{% translate "Add E-mail" %}</button>
        </div>
    </form>
</div>
{% endblock %}


{% block appjs_jquery %}
<script type="text/javascript">
$(function(){
$("button[name='action_remove']").click(function(){
if (confirm("{% translate 'Do you really want to remove the selected e-mail address?' %}")) {
return true;
}
return false;
});
});
</script>
{% endblock %}
